#!/bin/bash
if [ $# -ne 5 ]
then
  echo "This program does simple calibration, suitable to decide whether does it need crystal calibration"
  echo "Usage: $0 nickel nickel_bckg vanadium vanadium_bckg maximal index"
  exit -1
fi
PRINTLINE=""
for i in `seq 1 $5`
do
    for files in $1 $2 $3 $4
    do
        gawk '{if(NR==1) print; else if ($6!=0) print $4 " " $2 " " $3}' ${files}_${i}_ndt.dat > red_${files}.dat
    done
    paste red_${1}.dat red_${2}.dat red_${3}.dat red_${4}.dat | gawk '{if(NR==1) print; else print $1 " " ($2-$5)/($8-$11)}' > corr_${i}.dat
    PRINTLINE="${PRINTLINE} corr_${i}.dat"
done
xmgrace ${PRINTLINE}
rm red_*.dat